org.keycloak.protocol.saml

## Class SamlService

- java.lang.Object
- - org.keycloak.protocol.saml.SamlService

-     public class SamlService
      extends Object

  Resource class for the oauth/openid connect token service
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `SamlService.BindingProtocol`
    `protected class` | `SamlService.PostBindingProtocol`
    `protected class` | `SamlService.RedirectBindingProtocol`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected AuthenticationManager` | `authManager`
    `protected ClientConnection` | `clientConnection`
    `protected javax.ws.rs.core.HttpHeaders` | `headers`
    `protected static org.jboss.logging.Logger` | `logger`
    `protected javax.ws.rs.ext.Providers` | `providers`
    `protected RealmModel` | `realm`
    `protected org.jboss.resteasy.spi.HttpRequest` | `request`
    `protected org.jboss.resteasy.spi.HttpResponse` | `response`
    `protected javax.ws.rs.core.SecurityContext` | `securityContext`
    `protected KeycloakSession` | `session`
    `protected javax.ws.rs.core.UriInfo` | `uriInfo`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SamlService(RealmModel realm, EventBuilder event, AuthenticationManager authManager)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getDescriptor()`
    `javax.ws.rs.core.Response` | `postBinding(String samlRequest, String samlResponse, String relayState)`
    `javax.ws.rs.core.Response` | `redirectBinding(String samlRequest, String samlResponse, String relayState)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### logger

          protected static final org.jboss.logging.Logger logger

    - #### realm

          protected RealmModel realm

    - #### authManager

          protected AuthenticationManager authManager

    - #### providers

          @Context
          protected javax.ws.rs.ext.Providers providers

    - #### securityContext

          @Context
          protected javax.ws.rs.core.SecurityContext securityContext

    - #### uriInfo

          @Context
          protected javax.ws.rs.core.UriInfo uriInfo

    - #### headers

          @Context
          protected javax.ws.rs.core.HttpHeaders headers

    - #### request

          @Context
          protected org.jboss.resteasy.spi.HttpRequest request

    - #### response

          @Context
          protected org.jboss.resteasy.spi.HttpResponse response

    - #### session

          @Context
          protected KeycloakSession session

    - #### clientConnection

          @Context
          protected ClientConnection clientConnection

  - ### Constructor Detail

    - #### SamlService

          public SamlService(RealmModel realm,
                     EventBuilder event,
                     AuthenticationManager authManager)

  - ### Method Detail

    - #### redirectBinding

          @GET
          public javax.ws.rs.core.Response redirectBinding(@QueryParam(value="SAMLRequest")
                                                      String samlRequest,
                                                      @QueryParam(value="SAMLResponse")
                                                      String samlResponse,
                                                      @QueryParam(value="RelayState")
                                                      String relayState)

    - #### postBinding

          @POST
          @Consumes(value="application/x-www-form-urlencoded")
          public javax.ws.rs.core.Response postBinding(@FormParam(value="SAMLRequest")
                                                            String samlRequest,
                                                            @FormParam(value="SAMLResponse")
                                                            String samlResponse,
                                                            @FormParam(value="RelayState")
                                                            String relayState)

    - #### getDescriptor

          @GET
          @Path(value="descriptor")
          @Produces(value="application/xml")
          public String getDescriptor()
                               throws Exception

      Throws:
        `Exception`

Copyright © 2015. All rights reserved.